REM git clone https://github.com/kartverket/fyba openfyba

set OSGEO4W_ROOT=C:\OSGeo4W
set P=openfyba
set V=20141022
set B=1

set R=..\..\..\x86\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x86
echo on
path %pf%\CMake\bin;%pf%\Microsoft Visual Studio 10.0\Common7\IDE;c:\cygwin\bin;%PATH%

if not exist build32 mkdir build32
cd build32

cmake -G "Visual Studio 10" ^
	-D CMAKE_INSTALL_PREFIX=..\install32 ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

devenv %P%.sln /Project ALL_BUILD /Clean Release
if errorlevel 1 (echo build error ^ goto error)

devenv %P%.sln /Project ALL_BUILD /Build Release
if errorlevel 1 (echo build error ^ goto error)

devenv %P%.sln /Project INSTALL /Build Release
if errorlevel 1 (echo install error ^ goto error)

cd ..

copy setup.hint %R%\setup.hint

tar -C install32 -cjf %R%\%P%-%V%-%B%.tar.bz2 include lib
if errorlevel 1 (echo tar error ^ goto error)
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/package32.cmd osgeo4w/setup.hint
if errorlevel 1 (echo tar error ^ goto error)

exit

:error
exit 1
